Skins "Simple" and "Modern" are broken
Closed, ResolvedPublic

Assigned To
None
Priority
Normal
Author
bzimport
Subscribers
wikibugs-l
Projects
Reference
bz14954
Description

Author: angus

Description:
The generated web pages simply don't have a LINK tag to load the default simple.css anymore.

http://es.wikipedia.org/w/index.php?title=Portada&useskin=simple

Thank you.


Version: 1.14.x
Severity: major

bzimport added a project: MediaWiki-Parser.Via ConduitNov 21 2014, 10:10 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz14954.
bzimport created this task.Via LegacyJul 28 2008, 6:50 AM
bzimport added a comment.Via ConduitJul 28 2008, 10:28 AM

baard wrote:

I see the same using the modern skin on (all) Wikimedia wikis. Modern.css and common.css are not loaded. This breaks infoboxes and other customised CSS.

bzimport added a comment.Via ConduitJul 28 2008, 10:31 AM

stigmj wrote:

Perhaps it was this one (http://svn.wikimedia.org/viewvc/mediawiki?view=rev&revision=38116) who broke it?

bzimport added a comment.Via ConduitJul 28 2008, 3:27 PM

wiki.bugzilla wrote:

just adding two exemplary links here to make sure you note the impact:
http://de.wikipedia.org/w/index.php?title=Wikipedia:Hauptseite&useskin=modern (German Wikipedia's main page)
http://de.wikipedia.org/w/index.php?title=Bayern&useskin=modern (random article with infobox and other stuff that isn't rendered)
… lots of grumbling all around especially by 'modern' users

brion added a comment.Via ConduitJul 28 2008, 7:11 PM

Sorry, I forgot to update those two skins for the new SkinTemplate CSS handling. :(

r38139 fixed this for Modern...

r38143 fixed Simple.

Note there's lots of general weirdness with Modern, as it doesn't use the same IDs and classes as everything else; it should get a major overhaul at some point.

brion added a comment.Via ConduitJul 28 2008, 7:24 PM

Plus final tweak to Modern in r38146, r38147...

bzimport added a comment.Via ConduitJul 29 2008, 8:45 AM

pbirken wrote:

This change breaks the layout of flagged revisions (see http://de.wikipedia.org/wiki/Bild:Weissraum.jpg). We turned off the box for most cases, but you can see there http://de.wikipedia.org/wiki/Am_Rande_des_Rollfelds that in particular infoboxes get real problems.

brion added a comment.Via ConduitAug 1 2008, 5:12 PM

Comment #6 seems to be unrelated; screenshot is of MonoBook skin. If a problem persists, please provide more info on a dedicated bug.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.